> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apigene.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Spec Reindex Status

> Retrieve the status of a re-indexing task.

Checks the status of the specified re-indexing task identified by the task_id.

Parameters:
- task_id (str): The ID of the task to retrieve the status for.
- current_user (AuthUser): The current user making the request. Retrieved using dependency injection.

Returns:
- dict: Task status and additional information.

Raises:
- HTTPException(404): If the task ID is not found.



## OpenAPI

````yaml get /api/spec/{task_id}/reindex_status
openapi: 3.1.0
info:
  title: Apigene
  description: Apigene API
  version: 1.0.0
  contact:
    name: Apigene Support
    url: https://app.apigene.ai
    email: support@apigene.ai
servers:
  - url: https://app.apigene.ai
security:
  - BearerAuth: []
paths:
  /api/spec/{task_id}/reindex_status:
    get:
      tags:
        - Spec
      summary: Spec Reindex Status
      description: >-
        Retrieve the status of a re-indexing task.


        Checks the status of the specified re-indexing task identified by the
        task_id.


        Parameters:

        - task_id (str): The ID of the task to retrieve the status for.

        - current_user (AuthUser): The current user making the request.
        Retrieved using dependency injection.


        Returns:

        - dict: Task status and additional information.


        Raises:

        - HTTPException(404): If the task ID is not found.
      operationId: spec_reindex_status
      parameters:
        - name: task_id
          in: path
          required: true
          schema:
            type: string
            title: Task Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        'Authorization: Bearer {token}'

````